# AlgebraicDynamics.jl

[![Stable Docs](https://img.shields.io/badge/docs-stable-blue.svg)](https://algebraicjulia.github.io/AlgebraicDynamics.jl/stable)
[![Dev Docs](https://img.shields.io/badge/docs-dev-blue.svg)](https://algebraicjulia.github.io/AlgebraicDynamics.jl/dev)
[![Julia CI/CD](https://github.com/AlgebraicJulia/AlgebraicDynamics.jl/actions/workflows/julia_ci.yml/badge.svg)](https://github.com/AlgebraicJulia/AlgebraicDynamics.jl/actions/workflows/julia_ci.yml)
[![Code Coverage](https://codecov.io/gh/AlgebraicJulia/AlgebraicDynamics.jl/branch/main/graph/badge.svg)](https://codecov.io/gh/AlgebraicJulia/AlgebraicDynamics.jl)

AlgebraicDynamics is a library for compositional dynamical systems. We build on [Catlab.jl](https://algebraicjulia.github.io/Catlab.jl/dev/) to provide a software interfaces for the specification and solution of dynamical systems with compositional and hierarchical structure. The implementation of the composition of dynamical systems follows the mathematics of operads and operad algebras. The [documentation](https://algebraicjulia.github.io/AlgebraicDynamics.jl/dev/) describes the process of composing primitive dynamical systems and contains notebooks with illustrative examples.
